#include "logstream.hh"
#include <cstddef>
#include <iostream>

namespace inventory {

const char *StdLogstream::sc_loglevel[] = {
    "CRITICAL",
    "WARNING",
    "NOTICE",
    "INFO",
    "DEBUG"
};

void StdLogstream::operator()(Loglevel lvl, const std::string &msg) {
    std::cerr << "[" << sc_loglevel[(int)(lvl)] << "] " << msg << std::endl;
}

}
